Subject: Re: 'chop' and text mounts
From: Jon Ericson <[email-masked]>
To: Jason Tiller <[email-masked]>
Cc: <[email-masked]>
Date: 09 Mar 2001 02:11:11 +0000

Jason Tiller <[email-masked]> writes:

> I have a feeling this is an extremely trivial question, but it's
> vexing to a relative newbie like me.  I'm just starting to learn Perl,
> and I've run into a problem chop'ping lines that are CR/LF terminated.

1) chop is strongly depreciated for this purpose. Use chomp instead.
(It removes \n (or the value of $/) but nothing else.)

2) Neither perl nor cygwin add newlines when reading files.

3) Text/binary mounts are a red herring.

4) comp.lang.perl.misc is a better place to ask perl questions.  (But
read the FAQ first!)

Jon

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple